.parent-container {
    display: flex;
    /* Используем flexbox для расположения дочерних элементов */
    justify-content: flex-start;
    /* Выравнивание дочерних элементов по началу контейнера */
    align-items: flex-start;
    /* Выравнивание элементов по верхнему краю */
    padding-top: 1%;
    /* Отступ от верхнего края header */
}

.text-container {
    width: 20%;
    /* Ширина блока, примерное значение, настройте под свои нужды */
    padding: 0;
    /* Внутренние отступы */
    text-align: center;
    /* Выравнивание текста по центру */
    margin-left: 10%;
    /* Отступ слева от края экрана */
}

/* Контейнер для чата, фиксированный в верхней части и справа с отступом */
.chat-container {
    /* Стили для контейнера чата */
    flex-grow: 1;    /* Чат займет оставшееся пространство */
    width: 40%;
    height: 80vh;
    /* Фиксированная высота 80% от высоты окна браузера */
    position: fixed;
    /* Фиксированное позиционирование */
    top: absolute;
    /* Привязка к верхнему краю */
    right: 10%;
    /* Отступ справа - 10% от ширины окна браузера */
    overflow-y: auto;
    /* Полоса прокрутки появится при необходимости */
    margin: 0;
    /* Обнуляем margin, так как используем фиксированное позиционирование */
}

/* Контейнер для карточек внутри .chat-container */
.card {
    display: flex;
    flex-direction: column;
    /* Вертикальное расположение элементов */
    height: 100%;
    /* Высота равна высоте родителя, то есть .chat-container */
}

/* Стили для шапки чата */
.card-header {
    background-color: #343a40;
    color: white;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Стили для блока с сообщениями */
.messages-box {
    flex-grow: 1;
    /* Растягивается на всё доступное пространство */
    overflow-y: auto;
    /* Полоса прокрутки при переполнении */
    padding: 10px;
    /* Добавляем немного пространства внутри блока */
}

/* Стили для списка сообщений */
.messages-list {
    list-style: none;
    /* Убираем маркеры списка */
    padding: 0;
    /* Обнуляем padding */
    margin: 0;
    /* Обнуляем margin */
}


/* Стили для контейнера сообщения */
.message {
    display: flex;
    margin-bottom: 10px;
    padding: 5px;
    border-radius: 4px;
    align-items: flex-end;
    /* Выравнивание элементов по нижнему краю */
}

/* Стили для сообщений от AI Консультанта */
.message.received {
    justify-content: flex-start;
    /* Выравнивание по левому краю */
    background-color: #f1f1f1;
    color: black;
    margin-right: 40%;
    /* Добавляем автоматический отступ справа */
}

/* Стили для сообщений от пользователя */
.message.sent {
    justify-content: left;
    /* Выравнивание по правому краю */
    background-color: #0bebc5;
    color: black;
    margin-left: 40%;
    /* Добавляем автоматический отступ слева */
}

/* Стили для сообщений пользователя */
.message.sent .message-sender {
    text-align: left;
}

/* Стили для текста сообщения */
.message-content {
    margin-left: 10px;
    max-width: 100%;
    word-wrap: break-word;
    /* Перенос слов, если они не умещаются в одну строку */
    word-break: break-word;
    /* Перенос слов по слогам */
}

/* Стили для формы отправки сообщения */
.message-form {
    margin-top: 10px;
}